<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">

<head>
  <title>
    <?php print $head_title; ?>
  </title> 
  <script type="text/javascript" src="<?php print $base_path . $directory ?>/js/jquery-1.2.6.js"></script> 
  <?php print $head; ?> <?php print $styles; ?> <?php print $scripts; ?>
  <script type="text/javascript"> </script>  
  <?php if (warmy_ie6_detect()){ 
  /**
  *this block will be returned for IE browsers only. Implemented to clean up the code for decent browsers
  **/
  ?>    
    <style type="text/css" media="all">@import "<?php print base_path() . path_to_theme() ?>/ie-fix.css";</style>   
	<!--png transparency fix--> 
    <script type="text/javascript" src="<?php print $base_path . $directory ?>/js/jquery.pngFix.js"></script> 
    <script type="text/javascript"> 
      $(document).ready(function(){ $(document).pngFix(); }); 
    </script>	
  <?php } ?>
  
  <!--Making corners round using jQuery -->
  <?php if (warmy_noIE6_detect()){
  	/** this block will be returned for other browsers except IE6 (and IE7 - who knows why?:) ) **/
  ?>      
  <script type="text/javascript" src="<?php print $base_path . $directory ?>/js/jquery.corner.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
	  $("#page-wrapper").corner("top #ffdaa7 12px");	    
	  $("#footer-region").corner("bottom #ff9900 12px"); 
	  $("#header-wrapper").corner("top #ff9900 12px");	  			 
	});					
  </script>  
  <?php } ?>
  
  <?php if (warmy_ie7_detect()){
  	/** this block will be returned for IE7 specially (sorry for some mess) **/
  ?>  
  <script type="text/javascript" src="<?php print $base_path . $directory ?>/js/jquery.corner.js"></script>  
  <script type="text/javascript">
    $(document).ready(function() {
	  $("#page-wrapper").corner("top #ffdaa7 12px");	    
	  $("#footer-region").corner("bottom #ff9900 12px"); 
	  $("#header-wrapper").corner("top #ff9900 12px");	  			 
	});					
  </script>  
  <?php } ?>
  	
</head>

<body>
  <div id="page-wrapper">
    <!-- secondary links -->
    <?php if ($secondary_links){ ?>
      <div id="secondary-links">
        <?php print theme('menu_links', $secondary_links); ?>
      </div>
    <?php } ?>
    <!-- BEGIN Header -->
    <div id="header-wrapper">
      <!-- logo -->
      <div id="logo">
        <?php if ($logo){ ?>
          <a href="<?php print $base_path; ?>" title="<?php print t('Click to return to the Home page'); ?>">
		    <img src="<?php print $logo; ?>" alt="<?php print t('Click to return to the Home page '); ?>" />
		  </a>
        <?php } ?>
      </div>
      <!-- site name -->
      <?php if ($site_name){ ?>
        <div id="sitename">
          <h1><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name; ?></a></h1>
        </div>
      <?php } ?>
      <!-- theme search box -->
      <?php if ($search_box){ ?>
        <div id="searchbox">
          <?php print $search_box; ?>
        </div>
      <?php } ?>
      <!-- slogan -->
      <?php if ($site_slogan){ ?>
        <div id="site-slogan">
          <?php print $site_slogan; ?>
        </div>
      <?php } ?>
      <!-- site mission -->
      <?php if ($mission){ ?>
        <div id="mission">
          <?php print $mission; ?>
        </div>
      <?php } ?>
      <!-- Region: header -->
      <?php if ($header){ ?>
        <div id="header-region">
          <?php print $header; ?>
        </div>
      <?php } ?>
    </div>
    <!-- END Header -->


    <!-- primary links -->
    <?php if ($primary_links){ ?>
      <div id="primary-links">
        <?php print theme('menu_links', $primary_links); ?>
      </div>
    <?php } ?>
    <!-- BEGIN Center Content -->
    <div id="main-wrapper">
      <!-- Region: sidebar left -->
      <?php if ($sidebar_left){ ?>
        <div id="sidebar-left-region">
          <?php print $sidebar_left; ?>
        </div>
      <?php } ?>
      <div id="content-region-<?php print $layout ?>">
        <!-- breadcrumb trail -->
        <?php if ($breadcrumb){ ?>
          <?php print $breadcrumb; ?>
        <?php } ?>
        <!-- title -->
        <?php if ($title){ ?>
          <h2 class="content-title"><?php print $title; ?></h2>
        <?php } ?>
        <!-- tabs -->
        <?php if ($tabs){ ?>
          <div class="tabs">
            <?php print $tabs; ?>
          </div>
        <?php } ?>
        <!-- help -->
        <?php print $help; ?>
        <!-- messages -->
        <?php print $messages; ?>
        <!-- Region: content -->
        <?php print $content; ?>
      </div>      
    </div>
    <!-- END Content Area -->

    <!-- BEGIN Footer -->
    <!-- Region: footer -->
    <div id="footer-region">      
      <!-- footer text -->
      <?php print theme('links', $primary_links); print warmy_footer($footer_message); ?>
    <!-- END Footer -->
    
    <!-- theme closing tag -->
    <?php print $closure; ?>
  </div>  
</body>

</html>